summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/plural-1
diff options
context:
space:
mode:
authorBruno Haible <bruno@clisp.org>2007-10-19 20:55:58 +0000
committerBruno Haible <bruno@clisp.org>2009-06-23 12:15:20 +0200
commit3eaf48f8534aa8da26312fbcf5443940fa5fcd9f (patch)
tree712c1113a5acd8515f5f57194a27c273a80dc373 /gettext-tools/tests/plural-1
parent426db48d468709b885a46aec572753e24ac0e8a1 (diff)
downloadexternal_gettext-3eaf48f8534aa8da26312fbcf5443940fa5fcd9f.zip
external_gettext-3eaf48f8534aa8da26312fbcf5443940fa5fcd9f.tar.gz
external_gettext-3eaf48f8534aa8da26312fbcf5443940fa5fcd9f.tar.bz2
Avoid test failure on mingw.
Diffstat (limited to 'gettext-tools/tests/plural-1')
-rwxr-xr-xgettext-tools/tests/plural-111
1 files changed, 7 insertions, 4 deletions
diff --git a/gettext-tools/tests/plural-1 b/gettext-tools/tests/plural-1
index 7dcedb9..f62807c 100755
--- a/gettext-tools/tests/plural-1
+++ b/gettext-tools/tests/plural-1
@@ -62,16 +62,19 @@ sed 1,2d < fr.po > fr.po.strip
: ${DIFF=diff}
${DIFF} fr.po.strip fr.po.un || exit 1
-tmpfiles="$tmpfiles cake.ok cake.out"
+tmpfiles="$tmpfiles cake.ok cake.tmp cake.out"
: ${DIFF=diff}
echo 'un morceau de gateau' > cake.ok
-LANGUAGE= ./cake fr 1 > cake.out || exit 1
+LANGUAGE= ./cake fr 1 > cake.tmp || exit 1
+tr -d '\r' < cake.tmp > cake.out || exit 1
${DIFF} cake.ok cake.out || exit 1
echo '2 morceaux de gateau' > cake.ok
-LANGUAGE= ./cake fr 2 > cake.out || exit 1
+LANGUAGE= ./cake fr 2 > cake.tmp || exit 1
+tr -d '\r' < cake.tmp > cake.out || exit 1
${DIFF} cake.ok cake.out || exit 1
echo '10 morceaux de gateau' > cake.ok
-LANGUAGE= ./cake fr 10 > cake.out || exit 1
+LANGUAGE= ./cake fr 10 > cake.tmp || exit 1
+tr -d '\r' < cake.tmp > cake.out || exit 1
${DIFF} cake.ok cake.out || exit 1
rm -fr $tmpfiles